Subject: Re: [PATCH v3 5/9] revision.c: Make --full-history consider more merges

From: Kevin Bracey <[email-masked]>
Date: Tue, 07 May 2013 17:46:16 +0300

On 06/05/2013 23:45, Junio C Hamano wrote:
> Kevin Bracey <[email-masked]> writes:
>
>> +struct treesame_state {
>> +	unsigned int nparents;
>> +	unsigned char treesame[FLEX_ARRAY];
>> +};
> I have been wondering if we want to do one-bit (not one-byte) per
> parent but no biggie ;-)

I did start down that path, because I felt bad about bloat.

But then I realised how much I would be complicating and slowing the 
code down to only save a few bytes each time we walk a merge with at 
least 5 parents, and I came to my senses. :)

Kevin